{% extends "ajax/game/town/town.html.twig" %}
{% block title %}{{'Mein Zuhause (Truhe)'|trans({}, 'game')}}{% endblock %}
{% block tutorial %}
    <div x-tutorial-content="3.text5" class="toplevel text arrow-down">
        <div class="help">
            <p>{% trans from "help" %}
                Alle deine Gegenstände werden <strong>in der Truhe</strong> aufbewahrt. Klick auf einen <strong>Gegenstand</strong>, um ihn mitzunehmen...
            {% endtrans %}</p>
        </div>
    </div>
    <div x-tutorial-content="3.text6" class="toplevel text arrow-down">
        <div class="help">
            <p>{% trans from "help" %}
                Ausgerüstete Gegenstände werden in deinem <strong>Rucksack</strong> aufbewahrt.
            {% endtrans %}</p>
            <p>{% trans from "help" %}
                Wenn du einen Gegenstand gegen einen anderen aus deiner Truhe tauschen möchtest, brauchst du ihn nur anzuklicken.
            {% endtrans %}</p>
            <button x-advance-tutorial="3.text7">{{ 'Weiter...'|trans({},'help') }}</button>
        </div>
    </div>
    <div x-tutorial-content="3.text7" class="toplevel text arrow-down">
        <div class="help">
            <p>{% trans from "help" %}
                An dieser Stelle werden die Gegenstände angezeigt, die du gebrauchen kannst.
            {% endtrans %}</p>
            <p>{% trans from "help" %}
                <strong>Klick auf einen Link, um einen Gegenstand zu verwenden (z.B.: eine Kiste öffnen, Essen, Trinken usw...).</strong>
            {% endtrans %}</p>
            <button x-advance-tutorial="3.text8">{{ 'Weiter...'|trans({},'help') }}</button>
        </div>
    </div>
{% endblock %}
{% block content %}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-home time-{{ hour }} {% if conf.isNightTime %}night{% endif %}"></div>
    </div>

    {# @var home \App\Entity\CitizenHome #}
    {# @var chest \App\Entity\Inventory #}
    {# @var def \App\Structures\HomeDefenseSummary #}

    <ul class="tabs plain" x-tab-group="home-main" x-tab-control x-tab-default="{{ tab }}">
        <li class="tab">
            <img alt="{{ home.prototype.level }}" src="{{ asset('build/images/home/' ~ home.prototype.icon ~ '.gif') }}" />
        </li>
        <li class="tab" x-tab-id="dash">
            <div class="tab-link">
                <img class="hide-desktop" alt="" src="{{ asset('build/images/icons/home.gif') }}">
                <span class="hide-lg hide-md hide-sm">{{ 'Truhe und Aktionen'|trans({},'game') }}</span>
            </div>
        </li>
        <li class="tab" x-tab-id="messages">
            <div class="tab-link">
                {% if new_message %}
                    <img alt="" src="{{ asset('build/images/icons/anim_icon_mail.gif') }}" />
                {% else %}
                    <img class="hide-desktop" alt="" src="{{ asset('build/images/icons/small_mail.gif') }}" />
                {% endif %}
                <span class="hide-lg hide-md hide-sm">{{ 'Nachrichten'|trans({},'game') }}</span>
                <div class="tooltip normal">{{ 'Deine privaten Nachrichten'|trans({},'game') }}</div>
            </div>
        </li>
        {% if complaints|length > 0 %}
        <li class="tab" x-tab-id="complaints">
            <div class="tab-link">
                <img alt="" src="{{ asset('build/images/icons/scout_lv0.gif') }}">
                <span class="hide-lg hide-md hide-sm">{{ 'Anzeigen'|trans({},'game') }}</span>
            </div>
        </li>
        {% endif %}
        <li class="tab" x-tab-id="build">
            <div class="tab-link">
                <img alt="" src="{{ asset('build/images/icons/small_home_up.gif') }}">
                <span class="hide-lg hide-md hide-sm">{{ 'Bauarbeiten'|trans({},'game') }}</span>
                <div class="tooltip normal">{{ 'In diesem Bereich kannst du dir alle möglichen Verbesserungen deines Hauses ansehen.'|trans({},'game') }}</div>
            </div>
        </li>
        <li class="tab" x-tab-id="values">
            <div class="tab-link">
                <img class="hide-desktop" alt="+" src="{{ asset('build/images/icons/small_more2.gif') }}">
                <span class="hide-lg hide-md hide-sm">{{ 'Einrichtung'|trans({}, 'game') }}</span>
                <div class="tooltip normal">{{ 'In diesem Bereich werden alle bereits eingebauten Einrichtungen und Ausbauten deines Hauses angezeigt (Möbel, Verteidigungsvorrichtungen...).'|trans({},'game') }}</div>
            </div>
        </li>
    </ul>

    <div x-tab-group="home-main" x-tab-id="dash" x-tab-target>
        <div class="dashboard">
            <div class="row">
                <div class="padded cell rw-2 rw-lg-6 center">
                    <em>{{ 'Dekoration'|trans({}, 'game') }}</em><br />
                    <span class="counter">{{ deco }} <img src="{{ asset('build/images/icons/small_deco.gif') }}" alt="" /></span>
                </div>
                <div class="padded cell rw-4 rw-lg-6 center def-estimation">
                    <em>{{ 'Verteidigung'|trans({}, 'game') }}</em><br />
                    <span class="counter">{{ def.sum }} <img src="{{ asset('build/images/icons/small_def.gif') }}" alt="" /></span>
                    {{ help_btn(
                        'Behausung'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.house_defense},'game') ~ '</strong><br />' ~
                        'Bauarbeiten'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.upgrades_defense},'game') ~ '</strong><br />' ~
                        'Verteidigungsgegenstände'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.item_defense},'game') ~ '</strong><br />' ~
                        'Heldenbonus'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.job_defense},'game') ~ '</strong><br />' ~
                        (def.job_guard_defense > 0 ? ('Wächterbonus'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.job_guard_defense},'game') ~ '</strong><br />') : '') ~
                        '<hr />' ~
                        'Total'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.sum},'game') ~ '</strong>' ~
                        '<p class="small">' ~ 'Verteidigungsgegenstände (Blechplatten etc...) müssen in der Truhe abgelegt werden.'|trans({},'game') ~ '</p>'
                    ) }}
                </div>
                <div class="padded cell rw-6 rw-lg-12 left medium" {% if app.user|restricted(constant('App\\Entity\\AccountRestriction::RestrictionTownCommunication')) %}disabled{% endif %}>
                    <input id="desc_edit" type="text" maxlength="64" placeholder="{{ 'Dein Beschreibungstext'|trans({},'game') }}" value="{{ home.description }}">
                    <div class="small">
                        <button style="margin-top: 3px;" class="inline small" id="desc_edit_button">{{ 'Speichern'|trans({},'game') }}</button>
                        <a id="desc_remove_button" href="">{{ 'Löschen'|trans({},'game') }}</a>
                    </div>
                    <div class="tooltip help">
                    {{ 'Diese Mitteilung wird auf <strong>der Bürgerseite bei deinem Namen angezeigt und ist für jeden lesbar</strong>. Nutze diese Mitteilungsmöglichkeit, um dich vorzustellen, dich zu rechtfertigen oder einen Gruß an deine Mitspieler zu hinterlassen...'|trans({}, 'game')|raw }}
                    </div>
                </div>
            </div>
        </div>

        {% if complaints|length > 0 %}
            <div class="note note-warning">
                {{ 'Du hast {num} anonyme Anzeige(n).'|trans({'{num}': '<b>' ~ complaints|length ~ '</b>'}, 'game')|raw }}<br />
                {% trans from 'game' %}
                    Anzeigen können zu deiner Verbannung oder sogar Hinrichtung führen. Vielleicht solltest du das Verhältnis zwischen dir und dem Rest der Stadt verbessern ...
                {% endtrans %}
            </div>
        {% endif %}

        <div class="help">
            {% trans from 'game' %}
                In der linken Spalte werden alle Aktionen und Handlungen dargestellt, die du <strong>mit deinen Gegenständen ausführen kannst</strong>. In der rechten Spalte kannst du den <strong>Inhalt deines Rucksacks</strong> und <strong>deiner Truhe</strong> ansehen.
            {% endtrans %}
        </div>

        <div class="row">
            <div class="padded cell rw-6 rw-md-12 citizen-home actions-box">
                <h5>{% trans from 'game' %}Meine Spezialaktionen{% endtrans %}</h5>
                {% embed "ajax/game/actions.html.twig" with {'special_action_list': special_actions} %}
                {% endembed %}

                <h5>{% trans from 'game' %}Meine Aktionen{% endtrans %} <a class="help-button"><div class="tooltip help">{% trans from 'global' %}Manche deiner Gegenstände sind <strong>benutzbar</strong>. Klick einfach auf einen Link hier unten, um den jeweiligen Gegenstand zu gebrauchen. Andere Gegenstände wiederum, wie zum Beispiel Waffen, können nur <strong>außerhalb der Stadt</strong> verwendet werden..{% endtrans %}</div>{{ 'Hilfe'|trans({},'global') }}</a></h5>
                {% embed "ajax/game/actions.html.twig" with {'heroic_action_list': heroics, 'item_action_list': actions, 'recipe_list': recipes} %}
                {% endembed %}

                {% if is_granted('ROLE_CROW') and app.environment == 'dev' %}
                    <button id="suicid" class="mt-1"><img alt="" src="{{ asset('build/images/building/r_dhang.gif') }}" /> {{'Selbstmord begehen'|trans({}, 'admin')}}</button>
                    <button x-ajax-href="{{ path('admin_users_account_view', {id: home.citizen.user.id}) }}"><img alt="" src="{{ asset('build/images/icons/small_admin.gif') }}">{{ 'Admin Dashboard'|trans({},'admin') }}</button>
                {% endif %}
            </div>

            <div class="padded cell rw-6 rw-md-12">
                {% embed "ajax/game/inventory.html.twig" with {'size': rucksack_size, 'items': rucksack.items, 'sort': true} %}
                    {% block class %}rucksack{% endblock %}
                    {% block title %}{% trans from 'game' %}Rucksack{% endtrans %}{% endblock %}
                {% endembed %}

                <button id="drop-all-button" {% if rucksack.items|length == 0 %}disabled{% endif %}><img alt="" src="{{ asset('build/images/item/item_bag.gif') }}" /> {% trans from 'game' %}Rucksack ausleeren{% endtrans %}</button>

                {% embed "ajax/game/inventory.html.twig" with {'size': chest_size, 'items': chest.items} %}
                    {% block class %}chest{% endblock %}
                    {% block title %}{% trans from 'game' %}Truhe{% endtrans %} ({{chest_size}}){% endblock %}
                {% endembed %}
            </div>
        </div>

        <div class="row">
            <h5>{{ 'Mein Register'|trans({},'game') }} <a class="float-right link" x-ajax-href="{{ path("game_newspaper") }}">{{ 'Das Gesamtregister ansehen'|trans({}, 'game') }}<div class="tooltip normal">{{ 'Dieser Link bringt dich zum <strong>Großen Register</strong>. Darin werden alle wichtigen Handlungen und Aktionen der Stadtbürger gespeichert...'|trans({}, 'game')|raw }}</div></a></h5>
            <div class="cell rw-12">
                {% embed "ajax/game/log.html.twig" with {'log_content': log, 'log_source': path('town_house_log_controller') } %}
                {% endembed %}
            </div>
        </div>
    </div>

    <div x-tab-group="home-main" x-tab-id="messages" x-tab-target class="messages">
        <ul class="tabs plain" x-tab-group="home-messages" x-tab-control x-tab-default="{{ subtab }}">
            <li class="tab" x-tab-id="received" id='received_tab'>
                <div class="tab-link">
                    <img alt="" class="hide-desktop" src="{{ asset('build/images/icons/small_view.gif') }}">
                    <span class="hide-lg hide-md hide-sm">{{ 'Erhaltene Nachrichten'|trans({},'game') }}</span>
                </div>
            </li>
            <li class="tab" x-tab-id="archives" id='archives_tab'>
                <div class="tab-link">
                    <img  src="{{ asset("build/images/icons/small_archive.gif") }}" alt="" />
                    <span class="hide-lg hide-md hide-sm">{{ 'Archiv'|trans({},'game') }}</span>
                </div>
            </li>
            {% if not app.user|restricted(constant('App\\Entity\\AccountRestriction::RestrictionTownCommunication')) %}
                <li class="tab" x-tab-id="write" id="new_pm_tab">
                    <div class="tab-link">
                        <img src="{{ asset("build/images/icons/small_mail.gif") }}" alt="" />
                        <span class="hide-lg hide-md hide-sm">{{ 'Eine Nachricht schreiben'|trans({},'game') }}</span>
                    </div>
                </li>
                {% if can_send_global_pm %}
                    <li class="tab" x-tab-id="write-to-all" id="new_global_pm_tab">
                        <div class="tab-link">
                            <img src="{{ asset("build/images/icons/star.gif") }}" alt="" />
                            <span class="hide-lg hide-md hide-sm">{{ 'Schreiben Sie an alle'|trans({},'game') }}</span>
                        </div>
                    </li>
                {% endif %}
            {% endif %}
        </ul>
        <div x-tab-group="home-messages" x-tab-id="received" x-tab-target>
            <div id="nonArchivedContent">
            {% if nonArchivedMessages|length == 0 %}
                <div class="help">
                {{ 'Du hast <strong>keine neue Privatnachricht</strong> erhalten. Eine Liste aller Bürger findest du im <span class="link" x-ajax-href="{path}">Verzeichnis der Stadt</span>.'|trans({"{path}": path('town_citizens')},'game')|raw }}
                </div>
            {% else %}
                <div class="row-table messages-list">
                    <div class="row header">
                        <div class="padded cell rw-6">{{ 'Titel'|trans({},'global') }}</div>
                        <div class="padded cell rw-2">{{ 'Autor'|trans({},'global') }}</div>
                        <div class="padded cell rw-1">#</div>
                        <div class="padded cell rw-3">{{ 'Datum'|trans({},'global') }}</div>
                    </div>
                    {% for thread in nonArchivedMessages %}
                        <div class="row small link {% if thread.new %}new{% endif %}" x-thread-id="{{ thread.id }}" x-pm-source="{{ path('home_view_thread_controller', {tid: thread.id }) }}">
                            <div class="padded cell rw-6">{% if thread.new %}<img src="{{ asset("build/images/icons/small_new.gif") }}" alt="*" /> {% endif %}{% if thread.hasItems %}<img src="{{ asset("build/images/icons/small_attach.gif") }}" alt="" /> {% endif %} {{ thread.title }}</div>
                            <div class="padded cell rw-2">{{ thread.sender ? (thread.sender.user == app.user ? thread.recipient.name : thread.sender.name) : ('Der Rabe'|trans({},'global')) }}</div>
                            <div class="padded cell rw-1">{{ thread.messages|length }}</div>
                            <div class="padded cell rw-3">{{ thread.lastMessage|format_datetime('short', 'short') }}</div>
                        </div>
                    {% endfor %}
                </div>
                <div class="small"><span class="link" id="mark_all_read">{{ 'Alle als gelesen markieren'|trans({},'game') }}</span> | <span class="link" id="archive_all">{{ 'Alle archivieren'|trans({},'game') }}</span></div>
            {% endif %}
            </div>
        </div>
        <div x-tab-group="home-messages" x-tab-id="archives" x-tab-target>
            <div id="archivedContent">
            {% if archivedMessages|length == 0 %}
                <div class="help">
                {% trans from 'game' %}
                     Keine Nachricht gespeichert.
                {% endtrans %}
                </div>
            {% else %}
                <div class="row-table messages-list">
                    <div class="row header">
                        <div class="padded cell rw-6">{{ 'Titel'|trans({},'global') }}</div>
                        <div class="padded cell rw-2">{{ 'Autor'|trans({},'global') }}</div>
                        <div class="padded cell rw-1">#</div>
                        <div class="padded cell rw-3">{{ 'Datum'|trans({},'global') }}</div>
                    </div>
                    {% for thread in archivedMessages %}
                        <div class="row small link {% if thread.new %}new{% endif %}" x-archived-thread-id="{{ thread.id }}" x-pm-source="{{ path('home_view_thread_controller', {tid: thread.id }) }}">
                            <div class="padded cell rw-6">{% if thread.hasItems %}<img src="{{ asset("build/images/icons/small_attach.gif") }}" alt="" /> {% endif %} {{ thread.title }}</div>
                            <div class="padded cell rw-2">{{ thread.sender ? thread.sender.name : ('Der Rabe'|trans({},'global')) }}</div>
                            <div class="padded cell rw-1">{{ thread.messages|length }}</div>
                            <div class="padded cell rw-3">{{ thread.lastMessage|format_datetime('short', 'short') }}</div>
                        </div>
                    {% endfor %}
                </div>
            {% endif %}
            </div>
        </div>
        {% if not app.user|restricted(constant('App\\Entity\\AccountRestriction::RestrictionTownCommunication')) %}
            <div x-tab-group="home-messages" x-tab-id="write" x-tab-target>
            <h5>{% trans from 'game'%}Neue Nachricht{% endtrans %}</h5>
            <div class="row">
                <div class="cell padded rw-2"><span class="small">{% trans from 'game'%}Empfänger:{% endtrans %}</span></div>
                <div class="cell padded rw-6">
                    <input type="text" id="pmrecipient" disabled {% if dest_citizen is not null %}value="{{dest_citizen.name}}"{% endif %} />
                    <input type="hidden" id="pmidrecipient" {% if dest_citizen is not null %}value="{{dest_citizen.id}}"{% endif %}/>
                </div>
                {% if dest_citizen is null %}
                <div class="cell padded rw-1">
                    <span class="link">
                        <img src="{{ asset('build/images/icons/small_human.gif') }}" id="show_list" />
                        <div class="tooltip normal">
                            {% trans from 'game'%}
                                Bürgerverzeichnis anszeigen
                            {% endtrans %}
                        </div>
                    </span>
                    <div id="recipient_list">
                        <div class="list">
                            {% for citizen in possible_dests|sort((a,b) => a.name|lower <=> b.name|lower) %}
                                <div class="recipient small link" x-citizen-id="{{citizen.id}}">{{citizen.name}}</div>
                            {% endfor %}
                        </div>
                        <button id="close_list">{% trans from 'global'%}Abbrechen{% endtrans %}</button>
                    </div>
                </div>
                {% endif %}
            </div>
            <div class="row">
                <div class="cell padded">
                    <span class="small link" id="send-item-btn"><img src="{{ asset("build/images/icons/small_attach.gif") }}" alt="" /> {% trans from 'game'%}Dieser Nachricht Gegenstände beifügen{% endtrans %}</span>
                </div>
            </div>
            <div id="rows-send">
                <div class="row">
                    <div class="cell padded rw-6">
                        <div class="help">
                            {% trans from 'game'%}Klick auf die Gegenstände, die du dieser Nachricht beifügen möchtest:{% endtrans %}
                        </div>
                    </div>
                    <div class="cell padded rw-6">
                        <div class="help">
                            {% trans from 'game'%}Folgende Gegenstände werden mitgesendet:{% endtrans %}
                        </div>
                    </div>
                </div>
                <div class="row">
                     <div class="cell padded rw-6">
                        {% embed "ajax/game/inventory.html.twig" with {'size': sendable_items|length, 'items': sendable_items} %}
                            {% block class %}sendable-items{% endblock %}
                        {% endembed %}
                    </div>
                    <div class="cell padded rw-6">
                        <ul class="inventory" id="sent-items">
                            <li class="category">{% trans from 'game'%}Kein Gegenstand beigefügt...{% endtrans %}</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
            {% if can_send_global_pm %}
                <div x-tab-group="home-messages" x-tab-id="write-to-all" x-tab-target>
                    <h5>{% trans from 'game'%}Neue globale Nachricht{% endtrans %}</h5>
                </div>
            {% endif %}
        {% endif %}
        <div id="pm-forum-editor"></div>
        <div id="global-forum-editor"></div>
    </div>

    <div x-tab-group="home-main" x-tab-id="complaints" x-tab-target>
        <div class="row">
            {{ 'Du hast {num} anonyme Anzeige(n) erhalten.'|trans({'{num}': '<b>' ~ complaints|length ~ '</b>'}, 'game')|raw }}
            {% if not citizen.banished %}
            {{'Sollte diese Zahl auf 8 ansteigen, wirst du verbannt!'|trans({}, 'game')}}
            {% endif %}
            <ul class="overview-list">
            {% for complaint in complaints %}
                {% if not complaint.linkedReason is null %}
                <li>{{complaint.linkedReason.text|trans({}, 'game')}}</li>
                {% else %}
                <li>{{complaint.reason}}</li>
                {% endif %}
            {% endfor %}
            </ul>
            {{ help_lnk('Gerechtigkeit in MyHordes'|trans({}, 'game'), 'help', {'name' :'crimes_and_punishment'}) }}
        </div>
    </div>

    <div x-tab-group="home-main" x-tab-id="values" x-tab-target>
        {% set upgrade_count = 0 %}
        {% for id,upgrade in upgrades %}
            {% if upgrade_levels[id] > 0 %}
                {% set upgrade_count = upgrade_count+1 %}
            {% endif %}
        {% endfor %}
        <div class="help">{{ 'Einrichtungsgegenstände bringen dir viele Vorteile. Sie müssen lediglich in deiner <strong>Truhe</strong> abgelegt werden, um verwendet werden zu können.'|trans({}, 'game')|raw }}</div>
        <div class="row-flex wrap town-summary">
            <div class="padded cell rw-4 ellipsis row-header"><img src="{{ asset('build/images/icons/small_home.gif') }}" /> {{'Zuhause'|trans({}, 'game')}}</div>
            <div class="padded cell rw-8 ellipsis row-detail">
                <img alt="{{ home.prototype.level }}" src="{{ asset('build/images/home/' ~ home.prototype.icon ~ '.gif') }}" /> <strong>{{ home.prototype.label|trans({}, 'buildings') }}<div class="tooltip normal">{{ 'Stufe {lvl}'|trans({'{lvl}': home.prototype.level}, 'game') }}</div></strong>
                [
                {% if home.prototype.defense == 0 %}
                    {{ 'kein Verteidigungsbonus'|trans({}, 'game') }}
                {% else %}
                    + {{ home.prototype.defense }} <img src="{{ asset('build/images/icons/small_def.gif') }}" />
                {% endif %}
                ]
            </div>
            <div class="padded cell rw-4 ellipsis row-header"><img src="{{ asset('build/images/icons/small_home_up.gif') }}" /> {{'Bauarbeiten'|trans({}, 'game')}}</div>
            <div class="padded cell rw-8 ellipsis row-detail">{% if upgrade_count == 0 %}{{ 'Keine'|trans({}, 'game') }}{% else %}{% for upgrade in home.citizenHomeUpgrades %}
                    {% if loop.index0 > 0  %}, {% endif %}<b>{{ upgrade.prototype.label|trans({}, 'buildings') }} {{ upgrade.level }}</b>
                {% endfor %}{% endif %}</div>
            <div class="padded cell rw-4 ellipsis row-header"><img src="{{ asset('build/images/icons/small_deco.gif') }}" /> {{'Einrichtung'|trans({}, 'game')}}</div>
            <div class="padded cell rw-8 ellipsis row-detail">{{ deco }} {{ 'Punkt(e)'|trans({}, 'game') }} {% if protected %}<div class="inline-block"><em>(<img src="{{ asset('build/images/assets/img/icons/lock.gif') }}" alt="" /> {{ 'gesichertes Haus'|trans({}, 'game') }})</em><div class="tooltip normal">
                {{ 'In dieses Haus kann <strong>nicht eingebrochen</strong> werden. Es ist durch ein Schloss oder etwas anderes gesichert...'|trans({}, 'game')|raw }}</div></div>{% endif %}</div>
            <div class="padded cell rw-4 ellipsis row-header"><img src="{{ asset('build/images/item/item_plate.gif') }}" /> {{'Hausverteidigung'|trans({}, 'game')}}</div>
            <div class="padded cell rw-8 ellipsis row-detail">{{ def.sum }} <img src="{{ asset('build/images/icons/small_def.gif') }}" />
                {{ help_btn(
                    'Behausung'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.house_defense},'game') ~ '</strong><br />' ~
                    'Bauarbeiten'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.upgrades_defense},'game') ~ '</strong><br />' ~
                    'Verteidigungsgegenstände'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.item_defense},'game') ~ '</strong><br />' ~
                    'Heldenbonus'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.job_defense},'game') ~ '</strong><br />' ~
                    (def.job_guard_defense > 0 ? ('Wächterbonus'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.job_guard_defense},'game') ~ '</strong><br />') : '') ~
                '<hr />' ~
                'Total'|trans({},'game') ~ ': <strong>' ~ '+{def} Punkt(e)'|trans({'{def}': def.sum},'game') ~ '</strong>' ~
                '<p class="small">' ~ 'Verteidigungsgegenstände (Blechplatten etc...) müssen in der Truhe abgelegt werden.'|trans({},'game') ~ '</p>'
                ) }}
            </div>
        </div>
        <div class="lightbox">
            {% if decoItems|length == 0 %}
                    {{'Was soll denn das heißen, du hast noch keine Deko für dein bescheidenes Zuhause gefunden?! Worauf wartest du noch? In der Wüste findest du bestimmt ein wunderbares Sofa aus Zombiehaut! Oder darf es vielleicht eines dieser warmen, weichen Talismänner sein: Eine abgerissene Hand oder ein frisch abgetrennter Fuß?'|trans({}, 'game')}}
            {% else %}
                <ul class="list">
                    {% for item in decoItems %}
                        <li>
                            <img src="{{ asset('build/images/item/item_' ~ item.prototype.icon ~ ".gif") }}" alt="[]"/> <b>{{ item.prototype.label|trans({}, 'items') }}</b> {% if item.prototype.deco > 0 %}<em class="small">(+{{ item.prototype.deco }} {{ 'Deko-Punkte'|trans({}, 'game') }})</em>{% endif %}<br />
                            {% if item.prototype.decoText != '' %}
                            <span class="small">{{ item.prototype.decoText|trans({}, 'items') }}</span>
                            {% endif %}
                            {% embed "ajax/game/item_tooltip.html.twig" with {"item": item} %}{% endembed %}
                        </li>
                    {% endfor %}
                    <li class="separator">{{ 'Komiteenote:'|trans({}, 'game') }} <strong>{{ deco }}  {{ 'Punkt(e)'|trans({}, 'game') }}</strong> {{ help_btn(('Diese Note wird vom <strong>Komitee des guten Geschmacks der Stadt {townname}</strong> vergeben.'|trans({"{townname}": home.citizen.town.name}, 'game'))) }}</li>
                </ul>
            {% endif %}
        </div>
        {#
        <h5>{% trans from 'game' %}Verteidigung und Dekoration{% endtrans %}</h5>
        <div class="row">
            <div class="padded cell rw-6 rw-md-12">
                <ul class="summary">
                    <li>
                        {{ 'Verteidigung'|trans({},'game') }} <span><img alt="" src="{{ asset('build/images/icons/def.gif') }}"> <b>{{ def.sum }}</b></span>
                        <ul>
                            <li>{{ 'durch Haus'|trans({},'game') }} <span><img alt="" src="{{ asset('build/images/icons/def.gif') }}"> {{ def.house_defense }}</span></li>
                            {% if home.citizen.profession.heroic %}
                                <li>{{ 'durch Beruf'|trans({},'game') }} <span><img alt="" src="{{ asset('build/images/icons/def.gif') }}"> {{ def.job_defense + def.job_guard_defense }}</span></li>
                                <li>{{ 'durch Ausbauten'|trans({},'game') }} <span><img alt="" src="{{ asset('build/images/icons/def.gif') }}"> {{ def.upgrades_defense }}</span></li>
                            {% endif %}
                            <li>{{ 'durch Gegenstände'|trans({},'game') }} <span><img alt="" src="{{ asset('build/images/icons/def.gif') }}"> {{ def.item_defense }}</span></li>
                        </ul>
                    </li>
                </ul>
            </div>
            <div class="padded cell rw-6 rw-md-12">
                <ul class="summary">
                    <li>
                        {{ 'Dekoration'|trans({},'game') }} <span><img alt="" src="{{ asset('build/images/icons/deco.gif') }}"> <b>{{ deco }}</b></span>
                        <ul>
                            <li>{{ 'durch Gegenstände'|trans({},'game') }} <span><img alt="" src="{{ asset('build/images/icons/deco.gif') }}"> {{ deco }}</span></li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>

        <h5>{% trans from 'game' %}Gegenstände{% endtrans %}</h5>
        <div class="row-table">
            {% for item in chest.items %}
                {# @var item \App\Entity\Item # }
                <div class="row">
                    <div class="padded cell rw-8 left">
                        <img alt="" src="{{ asset('build/images/item/item_' ~ item.prototype.icon ~ '.gif') }}" />
                        {{ item.prototype.label|trans({},'items') }}
                    </div>
                    <div class="padded cell rw-4 right">
                        {% if item.prototype.deco != 0 %}
                            <span><img alt="{{ 'Dekoration'|trans({},'game') }}" src="{{ asset('build/images/icons/deco.gif') }}"> {{ item.prototype.deco }}</span>
                        {% endif %}
                        {% for prop in item.prototype.properties %}
                            {# @var prop \App\Entity\ItemProperty # }
                            {% if prop.name == 'defence' %}
                                <span><img alt="{{ 'Verteidigung'|trans({},'game') }}" src="{{ asset('build/images/icons/def.gif') }}"> 1</span>
                            {% endif %}
                        {% endfor %}
                    </div>
                </div>
            {% endfor %}
        </div>

        {% set upgrade_count = 0 %}
        {% for id,upgrade in upgrades %}
            {% if upgrade_levels[id] > 0 %}
                {% set upgrade_count = upgrade_count+1 %}
            {% endif %}
        {% endfor %}

        {% if upgrade_count > 0 %}
            <h5>{% trans from 'game' %}Ausbauten{% endtrans %}</h5>
            {% if not home.citizen.profession.heroic %}
                <div class="help">
                    {% trans from 'game' %}
                        Ausbauten stehen nur Helden zur Verfügung. Solange du nur ein normaler Einwohner bist, sind deine
                        Ausbauten funktionslos.
                    {% endtrans %}
                </div>
            {% endif %}
            <div class="row-table">
                {% for id,upgrade in upgrades %}
                    {# @var upgrade \App\Entity\CitizenHomeUpgradePrototype # }
                    {% if upgrade_levels[id] > 0 %}
                        <div class="row">
                            <div class="padded cell rw-8 left">
                                <img alt="" src="{{ asset('build/images/home/' ~ upgrade.icon ~ '.gif') }}" /> {{ upgrade.label|trans({},'buildings') }}
                            </div>
                            <div class="padded cell rw-4 right">
                                <span class="small">{{ 'Stufe {level}'|trans({'{level}': upgrade_levels[id]},'game') }}</span>
                            </div>
                        </div>
                    {% endif %}

                {% endfor %}
            </div>
        {% endif %}
        #}
    </div>

    <div x-tab-group="home-main" x-tab-id="build" x-tab-target>
        {# @var next_level \App\Entity\CitizenHomePrototype #}
        {% if next_level %}
            <h5>{% trans from 'game' %}Mein Haus ausbauen{% endtrans %}</h5>

            <div class="help">
                {% trans from 'game' %}
                    Du kannst die Widerstandsfähigkeit deines Hauses verbessern, indem du es ausbaust.
                {% endtrans %}
                <br /><br />
                {# {% if not home.prototype.allowSubUpgrades %} #}
                    {% trans from 'game' %}
                        Mit der ersten Verbesserungstufe bekommst du die Möglichkeit private Bauarbeiten durchführen zu können.
                    {% endtrans %}
                {# {% endif %} #}
            </div>

            {% if town.devastated %}
                <div class="note note-critical">{{ 'Die Stadt ist verwüstet! Du kannst dein Haus nicht mehr ausbauen, weil es ebenfalls niedergebrannt ist.'|trans({},'game') }}</div>
            {% else %}
                {# @var next_level_req \App\Entity\BuildingPrototype #}
                <div class="row">
                <div class="padded cell rw-5 rw-md-12">
                    <button id="upgrade_home_level" {% if devastated %}disabled{% endif %}>
                        <img alt="" src="{{ asset('build/images/icons/home.gif') }}" />
                        {% trans from 'game' %}Bauen{% endtrans %}: <b>{{ next_level.label|trans({}, 'buildings') }}</b>
                        {% if (next_level.ap > 0) %}(<div class="ap">{{ next_level.ap }}</div>){% endif %}
                    </button>
                    {% if not devastated %}
                        {{ tooltip('<em>Du kannst dein Haus ausbauen und so für eine bessere Verteidigung sorgen. <strong>Wichtige Anmerkung:</strong> Vielleicht wäre es sinnvoller, die dafür benötigten Ressourcen (falls erforderlich) der Stadt zu spenden?</em>'|trans({}, 'game'), 'normal') }}
                    {% endif %}
                </div>
                <div class="padded cell rw-7 rw-md-12">
                    <div class="note">
                        {% if next_level_req %}
                            {% trans from 'game' %}
                                Um dein Haus weiter auszubauen, muss die Stadt über folgendes Gebäude verfügen:
                            {% endtrans %}
                            <b>{{ next_level_req.label|trans({},'buildings') }}</b>
                        {% elseif next_level.resources %}
                            {% trans from 'game' %}
                                Für diesen Ausbau benötigst du folgende Gegenstände:
                            {% endtrans %}<br />
                            {% for res in next_level.resources.entries %}
                                <span class="entity">
                                    <img alt="{{ res.prototype.label|trans({},'items') }}" src="{{ asset('build/images/item/item_' ~ res.prototype.icon ~ '.gif' ) }}">
                                    x {{ res.chance }}
                                    {% embed "ajax/game/item_proto_tooltip.html.twig" with {"item": res.prototype} %}{% endembed %}
                                </span>
                            {% endfor %}
                        {% else %}
                            {% trans from 'game' %}
                                Für diesen Ausbau werden keine Gegenstände benötigt.
                            {% endtrans %}
                        {% endif %}
                    </div>
                </div>
            </div>
            {% endif %}
        {% endif %}

        {% if home.prototype.allowSubUpgrades %}
            <h5>{% trans from 'game' %}Bauarbeiten{% endtrans %}</h5>

            {% if home.citizen.profession.heroic %}
                <div class="help">
                    {% trans from 'game' %}
                        Die folgenden Bauarbeiten kannst du an deinem Haus durchführen. Jede Verbesserung bringt dir besondere Vorteile.
                    {% endtrans %}
                </div>
            {% else %}
                <div class="help">
                    {% trans from 'game' %}
                        Du musst ein Held sein, um die folgenden Ausbauten vornehmen zu können.
                    {% endtrans %}
                </div>
            {% endif %}


            <div class="row-table">
                <div class="row header">
                    <div class="padded cell {% if home.citizen.profession.heroic %}rw-8{% else %}rw-12{% endif %}">{{ 'Name'|trans({},'game') }}</div>
                    {% if home.citizen.profession.heroic %}
                        <div class="padded cell rw-4">{{ 'Kosten'|trans({},'game') }}</div>
                    {% endif %}
                </div>
                {% for id,upgrade in upgrades %}
                    {# @var upgrade \App\Entity\CitizenHomeUpgradePrototype #}
                    <div class="row {% if upgrade_levels[id] != 0 %}highlight{% endif %}">
                        <div class="padded cell {% if home.citizen.profession.heroic %}rw-8{% else %}rw-12{% endif %}">
                            <img alt="" src="{{ asset('build/images/home/' ~ upgrade.icon ~ '.gif') }}" /> <b>{{ upgrade.label|trans({},'buildings') }} {% if upgrade_levels[id] > 1 or (upgrade_levels[id] > 0 and upgrade_costs[id] ) %}{{ upgrade_levels[id] }}{% endif %}</b>
                            <div class="justify">
                                <span class="small">{{ upgrade.description|trans({},'buildings') }}</span>
                            </div>
                        </div>
                        {% if home.citizen.profession.heroic %}
                            <div class="padded cell rw-4">
                                {% set costs = upgrade_costs[id] %}
                                {# @var costs \App\Entity\CitizenHomeUpgradeCosts #}
                                {% if costs %}
                                    <div class="center">
                                        <span class="small">{% trans from 'game' %}Erfordert{% endtrans %}:</span><br/>
                                        {% if costs.ap > 0 %}
                                            <div class="ap">{{ costs.ap }}</div>
                                        {% endif %}
                                        {% if costs.resources %}
                                            {% for res in costs.resources.entries %}
                                                {# @var res \App\Entity\ItemGroupEntry #}
                                                <img alt="{{ res.prototype.label|trans({},'items') }}" src="{{ asset('build/images/item/item_' ~ res.prototype.icon ~ '.gif') }}" />
                                            {% endfor %}
                                        {% endif %}
                                        <p><button x-upgrade-id="{{ id }}" {% if devastated %}disabled{% endif %}>
                                            {% if upgrade_levels[id] == 0 %}
                                                {% trans from 'game' %}Einbauen{% endtrans %}
                                            {% else %}
                                                {% trans with {'{level}': upgrade_levels[id]+1} from 'game' %}Upgrade auf St. {level}{% endtrans %}
                                            {% endif %}
                                        </button></p>
                                    </div>
                                {% else %}
                                    <div class="center"><span class="small">{% trans from 'game' %}Kein weiterer Ausbau möglich{% endtrans %}</span></div>
                                {% endif %}
                            </div>
                        {% endif %}
                    </div>
                {% endfor %}
            </div>
        {% endif %}
    </div>

{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% embed "scripts/inventory.js.twig" %}{% endembed %};
        {% embed "scripts/actions.js.twig" %}{% endembed %};
        {% embed "scripts/log.js.twig" %}{% endembed %}

        handleItems(
            document.querySelectorAll('.rucksack>.item:not(.locked)[x-item-id]'),
            '{{ path('town_house_item_controller') }}',
            'down', '{{ path('town_house') }}'
        );

        handleItems(
            document.querySelectorAll('#drop-all-button'),
            '{{ path('town_house_item_controller') }}',
            'down-all', '{{ path('town_house') }}'
        );

        handleItems(
            document.querySelectorAll('.chest>.item:not(.locked)[x-item-id]'),
            '{{ path('town_house_item_controller') }}',
            'up', '{{ path('town_house') }}'
        );

        handleHeroicActions(
            document.querySelectorAll('ul.heroic_actions [x-action-id]:not([disabled])'),
            '{{ path('town_house_heroic_controller') }}', '{{ path('town_house') }}'
        );

        handleSpecialActions(
            document.querySelectorAll('ul.special_actions [x-action-id]:not([disabled])'),
            '{{ path('town_house_special_action_controller') }}', '{{ path('town_house') }}'
        );

        handleActions(
            document.querySelectorAll('ul.actions [x-action-id][x-provoking-id]:not([disabled])'),
            '{{ path('town_house_action_controller') }}', '{{ path('town_house') }}'
        );

        handleActionPopups( document.querySelectorAll('ul.actions>li[x-target-definition]') );
        handleActionPopups( document.querySelectorAll('ul.heroic_actions>li[x-target-definition]') );
        handleActionPopups( document.querySelectorAll('ul.special_actions>li[x-target-definition]') );

        handleRecipes(
            document.querySelectorAll('ul.actions>li[x-recipe-id]:not([disabled])'),
            '{{ path('town_house_recipe_controller') }}', '{{ path('town_house') }}'
        );

        let upgrade_btn = document.getElementById( 'upgrade_home_level' );
        if (upgrade_btn) upgrade_btn.addEventListener('click', function() {
            $.ajax.easySend( '{{ path('town_house_upgrade_controller') }}', {},
                function () {
                    $.ajax.load(null, '{{ path('town_house') }}', true);
                } );
        });

        {% if home.citizen.profession.heroic %}
            let upgrade_btns = document.querySelectorAll('button[x-upgrade-id]');
            for (let i = 0; i < upgrade_btns.length; i++)
                upgrade_btns[i].addEventListener('click', function() {
                    $.ajax.easySend( '{{ path('town_house_extend_controller') }}', {id: upgrade_btns[i].getAttribute('x-upgrade-id')},
                        function () {
                            $.ajax.load(null, '{{ path('town_house') }}', true);
                        } );
                });
        {% endif %}

        $.html.addEventListenerAll('#desc_edit_button', 'click', e => {
            e.preventDefault();
            $.ajax.easySend( '{{ path('town_house_describe_controller') }}', {desc: document.getElementById('desc_edit').value},
               () => $.ajax.load(null, '{{ path('town_house') }}', true));
        })

        $.html.addEventListenerAll('#desc_remove_button', 'click', e => {
            e.preventDefault();
            $.ajax.easySend( '{{ path('town_house_describe_controller') }}', {desc: null},
                () => $.ajax.load(null, '{{ path('town_house') }}', true));
        })

        let listbtn = document.getElementById("show_list");
        if(listbtn) listbtn.addEventListener("click", function(e){
            e.preventDefault();
            document.getElementById("recipient_list").style.display = "block";
        });

        let citizenbtn = document.querySelectorAll("#recipient_list .recipient");
        if(citizenbtn){
            for (var i = 0; i < citizenbtn.length; i++) {
                citizenbtn[i].addEventListener("click", function(e){
                    e.preventDefault();
                    document.getElementById("pmrecipient").value = this.innerText;
                    document.getElementById("pmidrecipient").value = this.attributes["x-citizen-id"].value;
                    document.getElementById("recipient_list").style.display = "none";
                });
            }
        }

        let closebtn = document.getElementById("close_list");
        if(closebtn) closebtn.addEventListener('click', function(e){
            e.preventDefault();
            document.getElementById("recipient_list").style.display = "none";
        });

        let sendbtn = document.getElementById("pmsend");
        if(sendbtn) sendbtn.addEventListener('click', function(e){
            e.preventDefault();
            $.ajax.easySend( '{{ path('town_house_send_pm_controller') }}', {global: false, title: document.getElementById('pmtitle').value, 'content': document.getElementById("pmtext").value, recipient: document.getElementById('pmidrecipient').value},
                function () {
                    $.ajax.load(null, '{{ path('town_house', {'tab': 'messages', 'subtab': 'received'}) }}', true);
                } );
        });

        let sendglobalbtn = document.getElementById("pmglobalsend");
        if(sendglobalbtn) sendglobalbtn.addEventListener('click', function(e){
            e.preventDefault();
            $.ajax.easySend( '{{ path('town_house_send_pm_controller') }}', {global: true, title: document.getElementById('pmglobaltitle').value, 'content': document.getElementById("pmglobaltext").value},
                function () {
                    $.ajax.load(null, '{{ path('town_house', {'tab': 'messages', 'subtab': 'received'}) }}', true);
                } );
        });

        let thread_buttons = document.querySelectorAll('[x-thread-id]');
        for (let i = 0; i < thread_buttons.length; i++){
            thread_buttons[i].addEventListener('click', function(e) {
                e.preventDefault();
                e.stopPropagation();

                $.ajax.no_history().load( document.getElementById('pm-forum-editor'), this.getAttribute('x-pm-source'), false )
                document.getElementById("nonArchivedContent").style.display = "none";
            });
        }

        let archived_thread_buttons = document.querySelectorAll('[x-archived-thread-id]');
        for (let i = 0; i < archived_thread_buttons.length; i++){
            archived_thread_buttons[i].addEventListener('click', function(e) {
                e.preventDefault();
                e.stopPropagation();

                $.ajax.no_history().load( document.getElementById('pm-forum-editor'), this.getAttribute('x-pm-source'), false )
                document.getElementById("archivedContent").style.display = "none";
            });
        }

        let received_tab = document.getElementById('received_tab');
        if(received_tab) received_tab.addEventListener('click', function(e) {
            document.getElementById("pm-forum-editor").innerHTML = "";
            document.getElementById("global-forum-editor").innerHTML = "";
            document.getElementById("nonArchivedContent").style.display = "";
        });

        let archives_tab = document.getElementById('archives_tab');
        if(archives_tab) archives_tab.addEventListener('click', function(e) {
            document.getElementById("pm-forum-editor").innerHTML = "";
            document.getElementById("global-forum-editor").innerHTML = "";
            document.getElementById("archivedContent").style.display = "";
        });

        let new_pm_tab = document.getElementById('new_pm_tab');
        if(new_pm_tab) new_pm_tab.addEventListener('click', function(e) {
            document.getElementById("pm-forum-editor").innerHTML = "";
            document.getElementById("global-forum-editor").innerHTML = "";
            $.ajax.no_history().load( document.getElementById('pm-forum-editor'), '{{ path('home_new_post_editor_controller', {type: 'pm'}) }}', false )
        });

        {% if can_send_global_pm or true %}
        let new_global_pm_tab = document.getElementById('new_global_pm_tab');
        if(new_global_pm_tab) new_global_pm_tab.addEventListener('click', function(e) {
            document.getElementById("pm-forum-editor").innerHTML = "";
            document.getElementById("global-forum-editor").innerHTML = "";
            $.ajax.no_history().load( document.getElementById('global-forum-editor'), '{{ path('home_new_post_editor_controller', {type: 'global'}) }}', false )
        });
        {% endif %}

        {% if dest_citizen is not null %}
            document.getElementById("pm-forum-editor").innerHTML = "";
            document.getElementById("global-forum-editor").innerHTML = "";
            $.ajax.no_history().load( document.getElementById('pm-forum-editor'), '{{ path('home_new_post_editor_controller', {type: 'pm'}) }}', false )
        {% endif %}

        let send_item_btn = document.getElementById("send-item-btn");
        if(send_item_btn) send_item_btn.addEventListener('click', function(){
            if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                return;

            this.parentElement.parentElement.style.display = "none";

            document.getElementById("rows-send").style.display = "block";

            let items = document.querySelectorAll("#rows-send .item");
            let sent = document.getElementById("sent-items");
            let keep = document.querySelector(".sendable-items");
            for (let i = 0; i < items.length; i++) {
                items[i].addEventListener('click', function(){
                    if(this.parentElement.classList.contains('sendable-items'))
                        sent.appendChild(this);
                    else
                        keep.appendChild(this)
                    document.getElementById('tooltip_container').innerHTML = "";;
                    if(sent.childElementCount > 1)
                        document.querySelector("#sent-items .category").style.display = "none";
                    else
                        document.querySelector("#sent-items .category").style.display = "";
                });
            }
        });

        {% if is_granted('ROLE_CROW') %}
            let suicidbtn = document.getElementById('suicid');
            if(suicidbtn) suicidbtn.addEventListener('click', function(){
                if (confirm('{{ 'Bestätigen?'|trans({},'global') }}'))
                    $.ajax.easySend( '{{ path('town_home_suicid') }}', {},
                        function () {
                            $.ajax.load(null, '{{ path('game_landing') }}', true);
                        } );
            });
        {% endif %}

        let mark_all_read_btn = document.getElementById('mark_all_read');
        if(mark_all_read_btn) mark_all_read_btn.addEventListener('click', function(){
            $.ajax.easySend( '{{ path('town_home_mark_all_read') }}', {},
                function () {
                    $.ajax.load(null, '{{ path('town_house', {'tab': 'messages', 'subtab': 'received'}) }}', true);
                } );
        });

        let archive_all_btn = document.getElementById('archive_all');
        if(archive_all_btn) archive_all_btn.addEventListener('click', function(){
            $.ajax.easySend( '{{ path('town_home_archive_all_pm') }}', {},
                function () {
                    $.ajax.load(null, '{{ path('town_house', {'tab': 'messages', 'subtab': 'received'}) }}', true);
                } );
        });

        {% if not app.user.expert %}
            $.html.addEventListenerAll('ul.inventory.chest>li.item', 'click', function() {
                $.html.conditionalSetTutorialStage(3,'text5',3,'text6');
            });
        {% endif %}
    </script>
{% endblock %}
